<!DOCTYPE html>
<html>

<head>
    <title>Fuel Station Monitoring</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="./fontawesome-free-6.3.0-web/css/all.css">
    <style>
        /* Set body styles */
        body {
            margin: 0;
            padding: 0;
            font-family: Arial, sans-serif;
            background-color: #f5f5f5;
            background-image: url('../fs.webp');
            background-repeat: no-repeat;
            background-size: cover;
        }

        /* Set header styles */
        header {
            background-color: #333;
            color: #fff;
            padding: 20px;
        }

        /* Set card styles */
        .card {
            margin-bottom: 20px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
        }

        .card-img-top {
            height: 200px;
            object-fit: cover;
        }

        .card-body {
            padding: 20px;
        }

        .card-title {
            font-size: 24px;
            font-weight: bold;
            margin-bottom: 10px;
        }

        .card-text {
            font-size: 18px;
            margin-bottom: 10px;
        }

        .card-text:last-child {
            margin-bottom: 0;
        }

        .navbar-brand img {
            height: 50px;
            margin-right: 10px;
        }

        /* Set map styles */
        #map {
            height: 95%;
            width: 100%;
        }

        /* Center map on page */
        .map-container {
            display: flex;
            justify-content: right;
            align-items: right;

        }


        /* Set button styles */
        .btn-directions {
            margin-top: 10px;
        }
    </style>
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="#">
            <img src="./logo.png" alt="Fuel Station Logo">Fuel Station Monitoring
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">About</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Contact</a>
                </li>
            </ul>
        </div>
    </nav>

    <div class="container">
        <div class="row">
            <div class="col-md-4">
                <div class="card">
                    <img class="card-img-top" src="https://picsum.photos/200/200?random=1" alt="Fuel Station 1">
                    <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-gas-pump"></i> Fuel Station 1</h5>
                        <p class="card-text"><i class="fas fa-map-marker-alt"></i> Address: 123 Main St, Anytown USA</p>
                        <p class="card-text"><i class="fas fa-tint"></i> Regular Unleaded: 75%</p>
                        <p class="card-text"><i class="fas fa-tint"></i> Premium Unleaded: 50%</p>
                        <p class="card-text"><i class="fas fa-tint"></i> Diesel: 25%</p>
                        <a href="#" class="btn btn-primary btn-directions" data-lat="9.6058" data-lng="6.5477"
                            data-name="Fuel Station 1"><i class="fas fa-map-marked-alt"></i> Directions</a>
                    </div>
                </div>
            </div>

            <div class="col-md-4">
                <div class="card">
                    <img class="card-img-top" src="https://picsum.photos/200/200?random=2" alt="Fuel Station 2">
                    <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-gas-pump"></i> Fuel Station 2</h5>
                        <p class="card-text"><i class="fas fa-map-marker-alt"></i> Address: 456 Elm St, Anytown USA</p>
                        <p class="card-text"><i class="fas fa-tint"></i> Regular Unleaded: 25%</p>
                        <p class="card-text"><i class="fas fa-tint"></i> Premium Unleaded: 60%</p>
                        <p class="card-text"><i class="fas fa-tint"></i> Diesel: 40%</p>
                        <a href="#" class="btn btn-primary btn-directions" data-lat="9.6072" data-lng="6.5466"
                            data-name="Fuel Station 2"><i class="fas fa-map-marked-alt"></i> Directions</a>
                    </div>
                </div>
            </div>

            <div class="col-md-4">
                <div class="card">
                    <img class="card-img-top" src="https://picsum.photos/200/200?random=3" alt="Fuel Station 3">
                    <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-gas-pump"></i> Fuel Station 3</h5>
                        <p class="card-text"><i class="fas fa-map-marker-alt"></i> Address: 789 Oak St, Anytown USA</p>
                        <p class="card-text"><i class="fas fa-tint"></i> Regular Unleaded: 90%</p>
                        <p class="card-text"><i class="fas fa-tint"></i> Premium Unleaded: 70%</p>
                        <p class="card-text"><i class="fas fa-tint"></i> Diesel: 50%</p>
                        <a href="#" class="btn btn-primary btn-directions" data-lat="9.6137" data-lng="6.5448"
                            data-name="Fuel Station 3"><i class="fas fa-map-marked-alt"></i> Directions</a>
                    </div>
                </div>
            </div>

            <div class="col-md-4">
                <div class="card">
                    <img class="card-img-top" src="https://picsum.photos/200/200?random=4" alt="Fuel Station 4">
                    <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-gas-pump"></i> Fuel Station 4</h5>
                        <p class="card-text"><i class="fas fa-map-marker-alt"></i> Address: 1010 Pine St, Anytown USA
                        </p>
                        <p class="card-text"><i class="fas fa-tint"></i> Regular Unleaded: 50%</p>
                        <p class="card-text"><i class="fas fa-tint"></i> Premium Unleaded: 90%</p>
                        <p class="card-text"><i class="fas fa-tint"></i> Diesel: 75%</p>
                        <a href="#" class="btn btn-primary btn-directions" data-lat="9.6164" data-lng="6.5504"
                            data-name="Fuel Station 4"><i class="fas fa-map-marked-alt"></i> Directions</a>
                    </div>
                </div>
            </div>

            <div class="col-md-8 map-container">
                <div id="map"></div>
            </div>
        </div>
    </div>
    </div>

    <!-- Google Maps API script -->
    <script async defer
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBEZ3LHB7NixCtl34FiOa4T9037_nZm4bs&callback=initMap"></script>

    <!-- Custom JavaScript -->
    <script>
        // Function to initialize Google Map
        function initMap() {
            // Set map options
            var options = {
                zoom: 12,
                center: { lat: 9.6139, lng: 6.5569 }
            };
            // Initialize map
            var map = new google.maps.Map(document.getElementById('map'), options);

            // Create markers for fuel stations
            var markers = [
                {
                    coords: { lat: 9.6058, lng: 6.5477 },
                    content: '<h4>Fuel Station 1</h4><p>Address of Fuel Station 1 in Minna</p>'
                },
                {
                    coords: { lat: 9.6072, lng: 6.5466 },
                    content: '<h4>Fuel Station 2</h4><p>Address of Fuel Station 2 in Minna</p>'
                },
                {
                    coords: { lat: 9.6137, lng: 6.5448 },
                    content: '<h4>Fuel Station 3</h4><p>Address of Fuel Station 3 in Minna</p>'
                },
                {
                    coords: { lat: 9.6164, lng: 6.5504 },
                    content: '<h4>Fuel Station 4</h4><p>Address of Fuel Station 4 in Minna</p>'
                }
            ];


            // Loop through markers
            for (var i = 0; i < markers.length; i++) {
                // Add marker
                var marker = new google.maps.Marker({
                    position: markers[i].coords,
                    map: map
                });

                // Add info window to marker
                var infoWindow = new google.maps.InfoWindow({
                    content: markers[i].content
                });

                // Show info window on marker click
                marker.addListener('click', function () {
                    infoWindow.open(map, marker);
                });
            }

            // Add click event listener to Directions buttons
            var directionsButtons = document.getElementsByClassName('btn-directions');
            for (var i = 0; i < directionsButtons.length; i++) {
                directionsButtons[i].addEventListener('click', function () {
                    var lat = this.getAttribute('data-lat');
                    var lng = this.getAttribute('data-lng');
                    var name = this.getAttribute('data-name');
                    window.open('https://www.google.com/maps/dir/?api=1&destination=' + lat + ',' + lng + '&travelmode=driving', '_blank');
                });
            }
        }
    </script>
</body>

</html>